Trip Advisor

Trip Advisor Hotel Reviews Scraper

Extract hotel, flight, and travel details using the Trip Advisor Hotel Reviews Scraper API endpoint.

This endpoint allows you to scrape hotel reviews from Trip Advisor.

Note

  • Use the TVLK Scraper API Server (https://tvlk.mrscraper.com) host when calling this endpoint.
  • Please contact us to get a token.
POST
/api/hotels/tripadv/review/sync'
AuthorizationBearer <token>

In: header

Request Body

application/json

url*string

Trip Advisor hotel review URL

Response Body

application/json

curl -X POST "https://api.app.mrscraper.com/api/hotels/tripadv/review/sync'" \  -H "Content-Type: application/json" \  -d '{    "url": "https://www.tripadvisor.com/Hotel_Review-g293916-d308699-Reviews-Admiral_Suites_Bangkok-Bangkok.html"  }'
{
  "success": true,
  "message": "Succesfully scraped",
  "data": {
    "url": "https://www.tripadvisor.com/Hotel_Review-g293916-d308699-Reviews-Admiral_Suites_Bangkok-Bangkok.html",
    "total_reviews": 564,
    "reviews": [
      {
        "reviewer_name": "Brian D",
        "reviewer_country": "Slough, United Kingdom",
        "room_type": null,
        "stay_duration": null,
        "stay_date": "2025-11-30",
        "traveler_type": "SOLO",
        "review_date": "2025-11-04",
        "review_title": "Returning Visit for Vacation",
        "review_score": 4,
        "positive_comment": null,
        "negative_comment": null
      },
      {
        "reviewer_name": "Sunny 1985",
        "reviewer_country": "Bangkok, Thailand",
        "room_type": null,
        "stay_duration": null,
        "stay_date": "2568-08-31",
        "traveler_type": "FAMILY",
        "review_date": "2025-09-30",
        "review_title": "Convenient Stay Near BTS Nana with Warm Service from the Staff",
        "review_score": 5,
        "positive_comment": null,
        "negative_comment": null
      },
      {
        "reviewer_name": "Trebor-scotland",
        "reviewer_country": "Balloch, United Kingdom",
        "room_type": null,
        "stay_duration": null,
        "stay_date": "2025-06-30",
        "traveler_type": "COUPLES",
        "review_date": "2025-07-12",
        "review_title": "Good Location",
        "review_score": 4,
        "positive_comment": null,
        "negative_comment": null
      },
      {
        "reviewer_name": "mezrg",
        "reviewer_country": "Colombo, Sri Lanka",
        "room_type": null,
        "stay_duration": null,
        "stay_date": "2025-06-30",
        "traveler_type": "SOLO",
        "review_date": "2025-06-09",
        "review_title": "Peaceful location",
        "review_score": 5,
        "positive_comment": null,
        "negative_comment": null
      },
      {
        "reviewer_name": "rhapsodyGre",
        "reviewer_country": "Grenoble, France",
        "room_type": null,
        "stay_duration": null,
        "stay_date": "2025-03-31",
        "traveler_type": "SOLO",
        "review_date": "2025-04-09",
        "review_title": "Comfortable and well located",
        "review_score": 4,
        "positive_comment": null,
        "negative_comment": null
      },
      {
        "reviewer_name": "eric h",
        "reviewer_country": null,
        "room_type": null,
        "stay_duration": null,
        "stay_date": "2025-03-31",
        "traveler_type": "SOLO",
        "review_date": "2025-04-03",
        "review_title": "Excellent room and service",
        "review_score": 5,
        "positive_comment": null,
        "negative_comment": null
      },
      {
        "reviewer_name": "marcus c",
        "reviewer_country": null,
        "room_type": null,
        "stay_duration": null,
        "stay_date": "2024-11-30",
        "traveler_type": "SOLO",
        "review_date": "2024-11-15",
        "review_title": "budget hotel with quality and spacious apartment-like rooms",
        "review_score": 4,
        "positive_comment": null,
        "negative_comment": null
      },
      {
        "reviewer_name": "Gaston Lagaffe",
        "reviewer_country": "Perroy, Switzerland",
        "room_type": null,
        "stay_duration": null,
        "stay_date": "2024-09-30",
        "traveler_type": "COUPLES",
        "review_date": "2024-09-29",
        "review_title": "Very good accommodation",
        "review_score": 4,
        "positive_comment": null,
        "negative_comment": null
      },
      {
        "reviewer_name": "Claire S",
        "reviewer_country": null,
        "room_type": null,
        "stay_duration": null,
        "stay_date": "2024-07-31",
        "traveler_type": "FRIENDS",
        "review_date": "2024-07-09",
        "review_title": "Nice vintage hotel",
        "review_score": 3,
        "positive_comment": null,
        "negative_comment": null
      }
    ]
  }
}